#!/usr/bin/env perl

use DBI;
use demodbData;

sub sayHello (session) {
    my ($session) = @_;
    my ($stmt, @row, $result);
    $stmt = $session->prepare ("select 'Hello, SAP DB' from dual");
    $stmt->execute ();
    @row = $stmt->fetchrow_array ();
    $result = @row [0];
    print "$result\n";
}

sub createSession {
    my ($username, $password, $dbname, $host) = @_;
    my ($connectString);
    if ($host) {
        $connectString = "dbi:SAP_DB:$host:$dbname";  # remote connection
    }
    else {
        $connectString = "dbi:SAP_DB:$dbname";  # local connection
    }
    my ($session) = DBI->connect ($connectString, $username, $password, {
        PrintError => 1,
        RaiseError => 1,
        });
    return $session;
}

sub main {
    my (@argv) = @ARGV;
    my ($username, $password, $dbname, $host) = parseUserArgs (@ARGV);
    my ($session) = &createSession ($username, $password, $dbname, $host);
    &sayHello ($session);
    $session->commit ();  # not necessary for a SELECT, but good style anyway
}

&main ();

