#!/usr/bin/env perl

use sapdb;
use demodbData;

sub sayHello (session) {
    my ($session) = @_;
    my ($cursor) = $session->sql ("select 'Hello, SAP DB' from dual");
    my ($row) = $cursor->next ();
    my ($result);
    # row is a tuple with one element
    ($result,) = $row->[0];
    print "$result\n";
}

sub createSession {
    my ($username, $password, $dbname, $host) = @_;
    my ($session) = sapdb::connect ($username, $password, $dbname, $host);
    return $session;
}

sub main {
    my (@argv) = @ARGV;
    my ($username, $password, $dbname, $host) = parseUserArgs (@ARGV);
    my ($session) = &createSession ($username, $password, $dbname, $host);
    &sayHello ($session);
    $session->commit ();  # not necessary for a SELECT, but good style anyway
}

&main ();

